# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Group Class Reference
Inheritance diagram for Group:

## Public Member Functions

Align | getAlign ()
| returns the alignment constraint of the group.
bool | isIsolated ()
| returns true if the group has an isolation constraint.
bool | isPaired ()
| returns true if the group has a pairing constraint.
void | setAlign (Align)
| sets an alignment constraint on the group. More...
void | setIsolated (bool)
| sets whether the group has an isolation constraint or not. More...
void | setPaired (bool)
| sets whether the group has a pairing constraint or not. More...
void | setRootNode (Node *)
| sets the root node of the group. More...
Public Member Functions inherited from Node
const std::string & | getName () const
| returns the name of the node.
Node * | getParent ()
| returns the parent node of the current node.
Position | getPosition () const
| returns the position of the node.
Node * | getRight ()
| returns the child node at the right of the current node.
Node * | getTop ()
| returns the child node at the top of the current node.
bool | isRoot ()
| returns tru if the node is the root of the tree (has no parent).
void | setRight (Node *)
| sets the child node at the right of the current node. More...
void | setTop (Node *)
| sets the node at the top of the current node. More...

## Detailed Description

This class describes a group of the placement tree.

## Member Function Documentation

## ◆ setAlign()

void setAlign | ( | Group::Align | align | ) |

inline

sets an alignment constraint on the group.

Parameters

  align | the value of the alignment constraint can be NONE, VERTICAL or HORIZONTAL.

## ◆ setIsolated()

void setIsolated | ( | bool | isolated | ) |

inline

sets whether the group has an isolation constraint or not.

Parameters

  isolated | if true the group has an isolation constraint.

## ◆ setPaired()

void setPaired | ( | bool | paired | ) |

inline

sets whether the group has a pairing constraint or not.

Parameters

  paired | if true the group has a pairing constraint.

## ◆ setRootNode()

void setRootNode | ( | Node * | node | ) |

inline

sets the root node of the group.

Parameters

  node | the root node of the group